//--------------------------------------------------------------
// File     : xmc2go_ub_spi.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __XMC2GO_UB_SPI_H
#define __XMC2GO_UB_SPI_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include <stdint.h>
#include <xmc1100.h>
#include "gpio.h"


//values calculated for 4.0 Mbaud @ 8 MHz
#define SPI_FDR_STEP	1023
#define SPI_BRG_PDIV	0


//--------------------------------------------------------------
// SPI-Mode [0...3]
//  0 = CPOL=0   , CPHA=0
//  1 = CPOL=0   , CPHA=1
//  2 = CPOL=1   , CPHA=0
//  3 = CPOL=1   , CPHA=1
//--------------------------------------------------------------
#define SPI_MODE    3  


//--------------------------------------------------------------
// SPI-Bitorder [0...1]
//   0 = MSB
//   1 = LSB
//--------------------------------------------------------------
#define SPI_BITORDER    0



//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void XMC2GO_Spi_Init(void);
uint8_t XMC2GO_Spi_SendByte(uint8_t wert);


//--------------------------------------------------------------
#endif // __XMC2GO_UB_SPI_H
